1. Docs
  2. API Reference
  3. Get identity summary for a node

Get identity summary for a node

GET/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/nodes/{id}/identities/summary

Authentication

  • Bearer Token Authorization

    JWT access token

Path Parameters

Name Required Type Description
idRequiredstring

Code samples

cURLJavaScriptPythonGo
curl -X GET "https://api.canopy.dev/portal/v1/accounts/{accountSlug}/applications/{appSlug}/environments/{envSlug}/nodes/value/identities/summary" \
  -H "Authorization: Bearer $CANOPY_TOKEN"

Responses

200 Identity counts by status returned
{
  "direct_count": 0,
  "inherited_count": 0,
  "can_manage_assignments": false,
  "active_count": 0,
  "scheduled_count": 0,
  "expired_count": 0,
  "expiring_soon_count": 0,
  "distinct_role_count": 0,
  "recent_identities": [
    {
      "id": "string",
      "first_name": "string",
      "last_name": "string",
      "name": "string",
      "avatar_url": "string"
    }
  ]
}

application/json

  • direct_countnumber*
  • inherited_countnumber*
  • can_manage_assignmentsboolean*
  • active_countnumber*
  • scheduled_countnumber*
  • expired_countnumber*
  • expiring_soon_countnumber*
  • distinct_role_countnumber*
  • recent_identitiesRecentIdentityDto[]*
401 Invalid or expired token
403 This token is not authorized for this endpoint (wrong principal type — e.g., admin token on identity-only endpoint, or vice versa)
404 Node not found

Returned object

On this page

Related endpoints

GETList hierarchy (scoped tree)
POSTCreate a hierarchy node
GETGet a hierarchy node
PATCHUpdate a hierarchy node
DELETEDelete a hierarchy node
GETGet subtree from a node
GETGet ancestor chain for a node
GETGet direct children of a node
POSTMove (reparent) a node
GETList identities at a node